Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(31)

Issue 2884393002: [WebPayments] Adding FilterProfilesForShipping to profile comparator (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 2 days ago by tmartino
Modified:
1 day, 11 hours ago
Reviewers:
Mathieu, Moe
CC:
chromium-reviews, darin-cc_chromium.org, gogerald+paymentswatch_chromium.org, jam, mahmadi+paymentswatch_chromium.org, rouslan+payments_chromium.org, sebsg+paymentswatch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[WebPayments] Adding FilterProfilesForShipping to profile comparator BUG=722949 Review-Url: https://codereview.chromium.org/2884393002 Cr-Original-Commit-Position: refs/heads/master@{#473929} Committed: https://chromium.googlesource.com/chromium/src/+/eb8d574b98adfcbd3b5ce2eb6e521b83efbb428a Review-Url: https://codereview.chromium.org/2884393002 Cr-Commit-Position: refs/heads/master@{#474392} Committed: https://chromium.googlesource.com/chromium/src/+/cd131b3025061c950f9e406129d5703532f153be

Patch Set 1 #

Total comments: 8

Patch Set 2 : mathp feedback #

Patch Set 3 : adding browsertest #

Total comments: 16

Patch Set 4 : further feedback #

Total comments: 2

Patch Set 5 : test comments #

Patch Set 6 : fix flaky #

Patch Set 7 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+272 lines, -58 lines) Patch
M chrome/browser/ui/views/payments/contact_info_editor_view_controller_browsertest.cc View 1 2 3 4 5 6 2 chunks +4 lines, -2 lines 0 comments Download
A chrome/browser/ui/views/payments/profile_list_view_controller_browsertest.cc View 1 2 3 4 5 1 chunk +78 lines, -0 lines 0 comments Download
M chrome/test/BUILD.gn View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M components/payments/content/payment_request_state.cc View 1 2 3 4 5 2 chunks +13 lines, -22 lines 0 comments Download
M components/payments/core/payments_profile_comparator.h View 1 2 chunks +20 lines, -8 lines 0 comments Download
M components/payments/core/payments_profile_comparator.cc View 1 3 chunks +42 lines, -9 lines 0 comments Download
M components/payments/core/payments_profile_comparator_unittest.cc View 1 chunk +97 lines, -0 lines 0 comments Download
M ios/chrome/browser/payments/payment_request.mm View 1 1 chunk +17 lines, -17 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 49 (37 generated)
tmartino
1 week, 2 days ago (2017-05-16 19:36:20 UTC) #5
Mathieu
Looks great, just a few things. Also, can we have a browsertest that adds two ...
1 week, 2 days ago (2017-05-16 20:16:51 UTC) #6
tmartino
Resolved comments, added iOS code, added browser test. PTAL https://codereview.chromium.org/2884393002/diff/1/components/payments/content/payment_request_state.cc File components/payments/content/payment_request_state.cc (right): https://codereview.chromium.org/2884393002/diff/1/components/payments/content/payment_request_state.cc#newcode243 components/payments/content/payment_request_state.cc:243: ...
1 week ago (2017-05-18 20:49:37 UTC) #12
Mathieu
This is cool! One remaining question on desktop and iOS https://codereview.chromium.org/2884393002/diff/40001/chrome/browser/ui/views/payments/profile_list_view_controller_browsertest.cc File chrome/browser/ui/views/payments/profile_list_view_controller_browsertest.cc (right): https://codereview.chromium.org/2884393002/diff/40001/chrome/browser/ui/views/payments/profile_list_view_controller_browsertest.cc#newcode16 ...
1 week ago (2017-05-19 01:10:41 UTC) #15
tmartino
PTAL https://codereview.chromium.org/2884393002/diff/40001/chrome/browser/ui/views/payments/profile_list_view_controller_browsertest.cc File chrome/browser/ui/views/payments/profile_list_view_controller_browsertest.cc (right): https://codereview.chromium.org/2884393002/diff/40001/chrome/browser/ui/views/payments/profile_list_view_controller_browsertest.cc#newcode16 chrome/browser/ui/views/payments/profile_list_view_controller_browsertest.cc:16: autofill::AutofillProfile CreateProfileWithCompleteAddress() { On 2017/05/19 at 01:10:41, Mathieu ...
6 days, 13 hours ago (2017-05-19 18:11:28 UTC) #18
Mathieu
lgtm https://codereview.chromium.org/2884393002/diff/60001/chrome/browser/ui/views/payments/contact_info_editor_view_controller_browsertest.cc File chrome/browser/ui/views/payments/contact_info_editor_view_controller_browsertest.cc (left): https://codereview.chromium.org/2884393002/diff/60001/chrome/browser/ui/views/payments/contact_info_editor_view_controller_browsertest.cc#oldcode240 chrome/browser/ui/views/payments/contact_info_editor_view_controller_browsertest.cc:240: EXPECT_EQ(request->state()->contact_profiles().front(), // No contact profiles are selected because ...
6 days, 12 hours ago (2017-05-19 18:31:00 UTC) #19
Moe
On 2017/05/19 18:31:00, Mathieu wrote: > lgtm > > https://codereview.chromium.org/2884393002/diff/60001/chrome/browser/ui/views/payments/contact_info_editor_view_controller_browsertest.cc > File > chrome/browser/ui/views/payments/contact_info_editor_view_controller_browsertest.cc > ...
6 days, 12 hours ago (2017-05-19 19:08:34 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2884393002/80001
2 days, 14 hours ago (2017-05-23 16:16:51 UTC) #31
commit-bot: I haz the power
Committed patchset #5 (id:80001) as https://chromium.googlesource.com/chromium/src/+/eb8d574b98adfcbd3b5ce2eb6e521b83efbb428a
2 days, 14 hours ago (2017-05-23 16:21:44 UTC) #34
Marijn Kruisselbrink
A revert of this CL (patchset #5 id:80001) has been created in https://codereview.chromium.org/2897133002/ by mek@chromium.org. ...
2 days, 13 hours ago (2017-05-23 18:14:25 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2884393002/120001
1 day, 11 hours ago (2017-05-24 19:36:00 UTC) #46
commit-bot: I haz the power
1 day, 11 hours ago (2017-05-24 19:41:22 UTC) #49
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/cd131b3025061c950f9e406129d5...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06